Subject: Re: [bug#53623] [PATCH] gnu: mosh: Fix path to binaries.

From: Thiago Jung Bauermann <[email-masked]>
Date: Sat, 29 Jan 2022 19:27:58 -0300

Hello,

Em sábado, 29 de janeiro de 2022, às 18:02:14 -03, Leo Famulari escreveu:
> On Sat, Jan 29, 2022 at 03:29:50PM +0100, Michael Rohleder wrote:
> > * gnu/packages/ssh.scm (mosh)[arguments]: Add substitution for
> > mosh-server and -client. Remove unneeded 'wrap phase.
> > ---
> > For some reason setting $PATH in 'wrap phase doesn't work anymore, the
> > perl script doesn't find it's binaries, so I substitute them there.
> 
> Can you clarify the situation where it doesn't work? I'm using mosh as a
> server on Guix System and it's working for me.

I’m also using it both as a client and a server and it’s working fine for 
me.

Both the client and the server are on foreign distros.

-- 
Thanks,
Thiago